LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XGridSelectionListener Interface Referencepublished

An instance of this interface is used by the XGridRowSelection to get notifications about selection changes. More...

`import"XGridSelectionListener.idl";`

Inheritance diagram for XGridSelectionListener:

## Public Member Functions
void | selectionChanged ([in] GridSelectionEvent gridSelectionEvent)
| Invoked after a selection was changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An instance of this interface is used by the XGridRowSelection to get notifications about selection changes.

## Member Function Documentation

## ◆ selectionChanged()

void selectionChanged | ( | [in] GridSelectionEvent | gridSelectionEvent | ) |

Invoked after a selection was changed.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XGridSelectionListener.idl